> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a custom field



## OpenAPI

````yaml PUT /core/v3/custom-fields/{id}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /core/v3/custom-fields/{id}:
    put:
      tags:
        - Custom Fields
      summary: Update a custom field
      operationId: UpdateCustomField
      parameters:
        - in: path
          name: id
          description: Custom field ID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Custom field object that needs to be updated
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the custom field
                slug:
                  type: string
                  format: cf_[a-z0-9_]+
                  example: cf_preferred_os
              required:
                - name
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      companyId:
                        type: string
                        format: uuid
                      name:
                        type: string
                      slug:
                        type: string
                        format: cf_[a-z0-9_]+
                        example: cf_preferred_os
                      type:
                        type: string
                        enum:
                          - text
                      createdAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      updatedAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````